import stamp.core.*;        // include Package stamp.core

/**
 * Program : Read Switch button (Push button).
 * class   : ExSwInput
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

class classLED {

  static int tDelay;
  // Constructor
  classLED(int dly) {
    tDelay = dly;
  }

  static void WriteLED(int pNumber, boolean status) {
    // Set a pin to a logic state.
    CPU.writePin(CPU.pins[pNumber],status);
    // Delays the program execution for a period of time.
    CPU.delay(tDelay);
  }
}

public class ExSwInput {

  public static void main() {
    int i;
    // instance of an object
    classLED cLed = new classLED(0);

    System.out.println("Push button Demo");
    while(true) {
      // Reads the logic value on a pin8.
      if(CPU.readPin(CPU.pin8)== false)
        cLed.WriteLED(0,true);
      else
        cLed.WriteLED(0,false);

      // Reads the logic value on a pin9.
      if(CPU.readPin(CPU.pin9)== false)
        cLed.WriteLED(1,true);
      else
        cLed.WriteLED(1,false);

      // Reads the logic value on a pin10.
      if(CPU.readPin(CPU.pin10)== false)
        cLed.WriteLED(2,true);
      else
        cLed.WriteLED(2,false);
    }
  }
 }