import stamp.core.*;        // include Package stamp.core

/**
 * Program : Read Switch button (Push button).
 * class   : ExSwInput_v2
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

class classLED {

  static int tDelay;
  // Constructor
  classLED(int dly) {
    tDelay = dly;
  }

  static void WriteLED(int pNumber, boolean status) {
    // Set a pin to a logic state.
    CPU.writePin(CPU.pins[pNumber],status);
    // Delays the program execution for a period of time.
    CPU.delay(tDelay);
  }
}

public class ExSwInput_v2 {

  public static void main() {
    int i,j;
    // instance of an object
    classLED cLed = new classLED(0);

    System.out.println("Push button Demo version 2");
    while(true) {
      for(i=8,j=0; i<11; i++,j++) {
        // Reads the logic value on a pin[n].
        if(CPU.readPin(CPU.pins[i])== false)
          cLed.WriteLED(j,true);
        else
          cLed.WriteLED(j,false);
      }
    }
  }
 }