import stamp.core.*;        // include Package stamp.core

/**
 * Program : ADS7841 Analog-to-Ditital Converter.
 * class   : ADS7841
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

public class ADS7841 {

  final static char  CMD_CTL   = 0x94;     // 10010100 , Control byte ADS7841
  final static int  CLOCK_PIN = CPU.pin4;
  final static int  CS_PIN    = CPU.pin5;
  final static int  DATA_PIN  = CPU.pin6;

  static int readADS7841(){
    int data;
    // enable chip set logic low
    CPU.writePin(CS_PIN,false);
    // send command
    CPU.shiftOut(DATA_PIN, CLOCK_PIN, 16, CPU.SHIFT_MSB, CMD_CTL);
    // received 12 bit data
    data = CPU.shiftIn(DATA_PIN, CLOCK_PIN, 12, CPU.POST_CLOCK_MSB);
    // disable chip set logic High
    CPU.writePin(CS_PIN,true);
    return(data);
  }

  public static void main() {
    while(true){
      System.out.print("Data : ");
      System.out.println(readADS7841());
      CPU.delay(10000);
    }
  }
}