import stamp.core.*;      // include Package stamp.core

/**
 * Program : Easy Remote 4 control LED
 * class   : testEasyRemote4Led
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

public class testEasyRemote4Led {

  final static int EASY_REMOTE_PIN = CPU.pin15;
  static Uart rxUart = new Uart( Uart.dirReceive, EASY_REMOTE_PIN, Uart.dontInvert,
                                 Uart.speed1200, Uart.stop1 );
  // Pin Status
  static boolean [] pinStatus= {true, true, true, true};

  static void WriteLED(int pNumber) {
    // Set a pin to a logic state.
    CPU.delay(1000);
    if(pinStatus[pNumber] == true) {
      CPU.writePin(CPU.pins[pNumber],true);
      pinStatus[pNumber] = false;
    } else {
      CPU.writePin(CPU.pins[pNumber],false);
      pinStatus[pNumber] = true;
    }
  }

  public static void main() {
    char ch;
    while(true) {
      //Test whether any bytes are available in the receive buffer.
      if(rxUart.byteAvailable()) {
        // Receives a byte from a receive Uart.
        ch = (char)rxUart.receiveByte();
        rxUart.stop();    // stop uart

        if(ch =='a' || ch == 'A') {
          WriteLED(0);
        } else if(ch =='b' || ch == 'B') {
          WriteLED(1);
        } else if(ch =='c' || ch == 'C') {
          WriteLED(2);
        } else if(ch =='d' || ch == 'D') {
          WriteLED(3);
        }
        CPU.delay(1000);  // delay
        rxUart.start();   // start uart
      }
    }
  }

}