import stamp.core.*;        // include Package stamp.core

/**
 * Program : ZX-44 Keypad serial interface
 * class   : testZX_44
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */


public class testZX_44 {

  final static int SLCD = CPU.pin13;  // port connect SLCD
  final static int CMD = 0xFE;        // standard mode command (ST)
  static Uart txUart = new Uart( Uart.dirTransmit, SLCD, Uart.invert,
                                 Uart.speed9600, Uart.stop1 );

  final static int ZX44 = CPU.pin14;  // port connect ZX-44
  static Uart rxUart = new Uart( Uart.dirReceive, ZX44, Uart.dontInvert,
                                 Uart.speed2400, Uart.stop1 );

  static StringBuffer sBuf1 = new StringBuffer(20);

  static void DisplaySLCD(String s) {
    txUart.sendByte(CMD);     // send ST command
    txUart.sendByte(1);       // send 1 display message
    CPU.delay(500);           // delay
    txUart.sendString(s);     // send message
  }

  public static void main() {
    int sw;

    while(true) {
      if(rxUart.byteAvailable()) {
        sw = rxUart.receiveByte();
        sBuf1.clear();
        sBuf1.append("Switch : ");
        sBuf1.append(sw);
        DisplaySLCD(sBuf1.toString());
        System.out.print("Switch : ");
        System.out.println(sw);
      }
    }
  }
}