//Program Listing 4.8 - Bi-directional Communication with HyperTerminal

import stamp.core.*;

public class HyperTermCOM {

  final static int SERIAL_TX_PIN = CPU.pin13;     //  P13
  final static int SERIAL_RX_PIN = CPU.pin14;     //  P14

  static Uart txUart = new Uart( Uart.dirTransmit, SERIAL_TX_PIN, Uart.dontInvert,
                                 Uart.speed9600, Uart.stop1 );

  static Uart rxUart = new Uart( Uart.dirReceive, SERIAL_RX_PIN, Uart.invert,
                                 Uart.speed9600, Uart.stop1 );

  static StringBuffer buffer = new StringBuffer(128);
  static char c;

  static void bufferMessage(){
    c = 0xff;
    while (c != '\r'){
      if(rxUart.byteAvailable()){
        txUart.sendString("RX\n");
        c = (char)rxUart.receiveByte();
        buffer.append(c);
      }
    }
  }                                                  // end bufferMessage

  public static void main(){
    do{
      buffer.clear();
      txUart.sendString("Type a message, the press enter: \n\r");
      bufferMessage();
      txUart.sendString("The message you sent was: \n\r");
      txUart.sendString(buffer.toString());
      txUart.sendString("\n\rDo you want to enter another message? (y/n) \n\r");
      c = (char) rxUart.receiveByte();
    } while(c == 'y' || c != 'n');
    txUart.sendString("Goodbye!\n\r");
  }                                                  // end main
}                                                    // end class declaration