  // Simple Timer Demo (Program Listing 7.5 in Javelin Stamp IDE example)

import stamp.core.*;

// This program blinks an LED circuit connected to P0 every 200 mS and
// blinks an LED circuit connected to P2 every 300 mS using the Timer object.

public class SimpleTimer {

  public static void main() {
    Timer t1 = new Timer();           // timer for first LED
    Timer t2 = new Timer();           // timer for second LED

    boolean led0=false;
    boolean led2=false;

    t1.mark();                                               // Start timer t1
    t2.mark();                                                  // Start timer t2

    while (true) {                                        // do forever...

      String msg = "test\n";
      CPU.message(msg.toCharArray(),msg.length());   // Print Message

      if (t1.timeout(200)) {                              // If 200 mS LED interval
        led0=!led0;                                                      // set LED
        CPU.writePin(CPU.pin0,led0);
        t1.mark();                                                       // start new time period
      }                                                                                 // end if

      if (t2.timeout(300)) {                                    // If 300 mS LED interval
        led2 = !led2;                                                  // Negate LED
        CPU.writePin(CPU.pin2,led2);
        t2.mark();                                                      // start new time period
      }                                                                                  // end if
    }                                                                                         // end while
  }                                                                                             // end main
}